package com.jpsoft.shinestar.modules.sys.entity;

import java.util.Date;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 描述:sys_permission的实体类
 */
public class Permission {
	private String id;
	private String path;
	private String method;
	private String summary;
	private Boolean delFlag;
	private String createBy;
	private String updateBy;
	private Date createTime;
	private Date updateTime;

	/**
	 *获取主键
	 */
	public String getId(){
		return id;
	}

	/**
	 *设置主键
	 */
	public void setId(String id){
		this.id = id;
	}
	/**
	 *获取访问路径
	 */
	public String getPath(){
		return path;
	}

	/**
	 *设置访问路径
	 */
	public void setPath(String path){
		this.path = path;
	}
	/**
	 *获取访问方式
	 */
	public String getMethod(){
		return method;
	}

	/**
	 *设置访问方式
	 */
	public void setMethod(String method){
		this.method = method;
	}
	/**
	 *获取简介
	 */
	public String getSummary(){
		return summary;
	}

	/**
	 *设置简介
	 */
	public void setSummary(String summary){
		this.summary = summary;
	}
	/**
	 *获取是否删除
	 */
	public Boolean getDelFlag(){
		return delFlag;
	}

	/**
	 *设置是否删除
	 */
	public void setDelFlag(Boolean delFlag){
		this.delFlag = delFlag;
	}
	/**
	 *获取创建人
	 */
	public String getCreateBy(){
		return createBy;
	}

	/**
	 *设置创建人
	 */
	public void setCreateBy(String createBy){
		this.createBy = createBy;
	}
	/**
	 *获取更新人
	 */
	public String getUpdateBy(){
		return updateBy;
	}

	/**
	 *设置更新人
	 */
	public void setUpdateBy(String updateBy){
		this.updateBy = updateBy;
	}
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	/**
	 *获取创建时间
	 */
	public Date getCreateTime(){
		return createTime;
	}

	/**
	 *设置创建时间
	 */
	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	/**
	 *获取更新时间
	 */
	public Date getUpdateTime(){
		return updateTime;
	}

	/**
	 *设置更新时间
	 */
	public void setUpdateTime(Date updateTime){
		this.updateTime = updateTime;
	}
}